Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class SoapFaultAssertion

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
              com.eviware.soapui.impl.wsdl.teststeps.assertions.SoapFaultAssertion

All Implemented Interfaces:
  ResponseAssertion, ModelItem, PropertyChangeNotifier

    public class SoapFaultAssertion

extends WsdlMessageAssertion
implements ResponseAssertion

Assertion that checks that the associated WsdlTestRequests response is a SOAP Fault

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`CONFIGURATION_PROPERTY, ERRORS_PROPERTY, STATUS_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`SoapFaultAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig, Assertable assertable)`

Method Summary
`protected java.lang.String` | `internalAssertRequest(WsdlMessageExchange messageExchange, SubmitContext context)`
`java.lang.String` | `internalAssertResponse(WsdlMessageExchange messageExchange, SubmitContext context)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion
`assertRequest, assertResponse, configure, getAssertable, getConfig, getConfiguration, getDescription, getErrors, getIcon, getName, getSettings, getStatus, isAllowMultiple, isClonable, isConfigurable, release, setConfiguration, setName, updateConfig`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.teststeps.assertions.ResponseAssertion
`assertResponse`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### SoapFaultAssertion

    public SoapFaultAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig,
                              Assertable assertable)

Method Detail

### internalAssertResponse

    public java.lang.String internalAssertResponse(WsdlMessageExchange messageExchange,
                                                   SubmitContext context)
                                            throws AssertionException

  Specified by:
    `internalAssertResponse` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`

### internalAssertRequest

    protected java.lang.String internalAssertRequest(WsdlMessageExchange messageExchange,
                                                     SubmitContext context)
                                              throws AssertionException

  Specified by:
    `internalAssertRequest` in class `WsdlMessageAssertion`
  Throws:
    `AssertionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.